This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1461408 - sdljava-0.9.1-34.fc26: FTBFS on s390x
sdljava-0.9.1-34.fc26: FTBFS on s390x
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sdljava (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
http://apps.fedoraproject.org/koschei...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 08:07 EDT by Jitka Plesnikova
Modified: 2017-09-30 02:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: sdljava-0.9.1-37.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-30 02:15:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2017-06-14 08:07:02 EDT
Description of problem:
Package sdljava fails to build from source in Fedora rawhide on s390x.

+ make 'CFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -march=zEC12 -mtune=z13 -fno-strict-aliasing -fPIC'
/usr/include/sys/cdefs.h:153: Warning 305: Bad constant value (ignored).
notype name __wseq32
notype name __g1_start32
RPM build errors:
/usr/include/bits/stdio-ldbl.h:33: Error: Syntax error in input(1).
make: *** [Makefile:50: SDLAudio_wrap.c] Error 1

Version-Release number of selected component (if applicable):
0.9.1-34.fc26

Steps to Reproduce:
koji build --scratch f27 sdljava-0.9.1-34.fc26.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/sdljava
Comment 1 Jan Kurik 2017-08-15 04:43:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Fedora Update System 2017-09-04 09:12:50 EDT
sdljava-0.9.1-37.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e440899be4
Comment 3 Fedora Update System 2017-09-04 18:53:36 EDT
sdljava-0.9.1-37.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e440899be4
Comment 4 Fedora Update System 2017-09-30 02:15:51 EDT
sdljava-0.9.1-37.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.